import {IAuthconfigFactory,AppConfig} from '@farmmaps/common';
import {AuthConfig} from 'angular-oauth2-oidc';

export class LocalAuthconfigFactory implements IAuthconfigFactory {
    getAuthConfig(appConfig:AppConfig): AuthConfig {
        const authConfig: AuthConfig = new AuthConfig();
        authConfig.issuer = appConfig.getConfig("issuer");
        authConfig.redirectUri = window.location.origin + "/cb";
        authConfig.silentRefreshRedirectUri = window.location.origin + "/silent-refresh.html";
        authConfig.clientId = appConfig.getConfig("clientId");
        authConfig.customQueryParams = { audience: appConfig.getConfig("audience") };
        authConfig.scope = "openid profile email";
        authConfig.oidc = true;
        authConfig.disableAtHashCheck = true;
        authConfig.openUri = uri => {
            window.alert("OK "+uri);
          }
        authConfig.requireHttps = appConfig.getConfig("requireHttps");
        return authConfig;
    }

}